All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::mapped_vector_diag Class Reference

Vector diag. More...

`#include <mapped_objects.hpp>`

Inheritance diagram for viennacl::device_specific::mapped_vector_diag:

## Public Member Functions

| mapped_vector_diag (std::string const &scalartype, unsigned int id, node_info info)
Public Member Functions inherited from viennacl::device_specific::mapped_object
| mapped_object (std::string const &scalartype, unsigned int id, std::string const &type_key)
virtual | ~mapped_object ()
virtual std::string & | append_kernel_arguments (std::set< std::string > &, std::string &str, unsigned int) const
std::string | type_key () const
std::string const & | name () const
std::string | process (std::string const &in) const
std::string | evaluate (std::map< std::string, std::string > const &accessors) const
Public Member Functions inherited from viennacl::device_specific::binary_leaf
| binary_leaf (mapped_object::node_info info)
void | process_recursive (utils::kernel_generation_stream &stream, leaf_t leaf, std::string const &key, std::string const &process_str, std::set< std::string > &already_fetched)
std::string | evaluate_recursive (leaf_t leaf, std::map< std::string, std::string > const &accessors)

## Additional Inherited Members

Protected Member Functions inherited from viennacl::device_specific::mapped_object
void | register_attribute (std::string &attribute, std::string const &key, std::string const &value)
Static Protected Member Functions inherited from viennacl::device_specific::mapped_object
static void | replace_offset (std::string &str, MorphBase const &morph)
Protected Attributes inherited from viennacl::device_specific::mapped_object
std::string | name_
std::string | scalartype_
std::string | type_key_
std::map< std::string, std::string > | keywords_
Protected Attributes inherited from viennacl::device_specific::binary_leaf
mapped_object::node_info | info_

## Detailed Description

Vector diag.

Maps a diag(vector_expression) node into a diagonal matrix

Definition at line 380 of file mapped_objects.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::mapped_vector_diag::mapped_vector_diag | ( | std::string const & | scalartype,
|  | unsigned int | id,
|  | node_info | info
| ) |  |

inline

Definition at line 392 of file mapped_objects.hpp.

The documentation for this class was generated from the following file:

- viennacl/device_specific/mapped_objects.hpp